clang-tools 8.0.0

Namespaces | Functions | Variables
Cancellation.cpp File Reference
`#include "Cancellation.h"`
`#include <atomic>`
Include dependency graph for Cancellation.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::pair< Context, Canceler > | clang::clangd::cancelableTask ()
| Defines a new task whose cancellation may be requested. More...
bool | clang::clangd::isCancelled (const Context &Ctx=Context::current())
| True if the current context is within a cancelable task which was cancelled. More...

## Variables
static Key< std::shared_ptr< std::atomic< bool > > > | clang::clangd::FlagKey